EAPI EAPI_WEAK const Efl_Event_Description _EFL_LOOP_MESSAGE_EVENT_MESSAGE =
   EFL_EVENT_DESCRIPTION("message");

Efl_Object *_efl_loop_message_efl_object_constructor(Eo *obj, Efl_Loop_Message_Data *pd);


void _efl_loop_message_efl_object_destructor(Eo *obj, Efl_Loop_Message_Data *pd);


static Eina_Bool
_efl_loop_message_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_LOOP_MESSAGE_EXTRA_OPS
#define EFL_LOOP_MESSAGE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_loop_message_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_loop_message_efl_object_destructor),
      EFL_LOOP_MESSAGE_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_loop_message_class_desc = {
   EO_VERSION,
   "Efl.Loop_Message",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Loop_Message_Data),
   _efl_loop_message_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_loop_message_class_get, &_efl_loop_message_class_desc, EFL_OBJECT_CLASS, NULL);
